Update Package

View as Markdown
Update a package. If items are provided, they replace all existing items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

package_idstringRequired
account_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional>=1 character
Package name
descriptionstring or nullOptional
Package description
is_activeboolean or nullOptional
Whether the package is active
allow_monthlyboolean or nullOptional
Allow monthly billing cycle
allow_annualboolean or nullOptional
Allow annual billing cycle
default_billing_cycleenum or nullOptional
Default billing cycle
itemslist of objects or nullOptional
Replace all package items
metadatamap from strings to any or nullOptional
Optional metadata

Response

Successful Response
idstring
account_idstring
namestring
created_atdatetime
updated_atdatetime
descriptionstring or nullOptional
is_activebooleanOptionalDefaults to true
allow_monthlybooleanOptionalDefaults to true
allow_annualbooleanOptionalDefaults to true
default_billing_cyclestringOptionalDefaults to monthly
itemslist of objectsOptional
deleted_atdatetime or nullOptional

Errors

422
Unprocessable Entity Error